RhinoCommon CreateContourCurves Method returns empty Array[Curve]

Hi all,

I was wondering if anyone could help me out here.
The CreateContourCurves Method returns an empty array, and I have no idea why.

Here the code:

object_filter = Rhino.DocObjects.ObjectType.Brep
    rc, objref = Rhino.Input.RhinoGet.GetOneObject("Select building massing.", False, object_filter)
    if rc != Rhino.Commands.Result.Success: 
        return rc
    if not objref: 
        return Rhino.Commands.Result.Failure
    brep = objref.Brep()

    curves = Rhino.Geometry.Brep.CreateContourCurves(brep, Rhino.Geometry.Point3d(111.474273269523,-128.933497320116,0), Rhino.Geometry.Point3d(111.474273269523,-128.933497320116,32.9003791809082), 3.00)
   
    if curves != None:
        print(type(curves))  # type 'Array[Curve]'
        print(curves.Length) # 0

Here a picture of the brep (yellow) and two points used in the method.

Thanks for your hints and tips!

I solved this by realising that the brep input was faulty, input a different brep, all fine now.